# nuxt-flatpickr
[![npm (scoped with tag)](https://img.shields.io/npm/v/nuxt-flatpickr/latest.svg?style=flat-square)](https://npmjs.com/package/nuxt-flatpickr)
[![npm](https://img.shields.io/npm/dt/nuxt-flatpickr.svg?style=flat-square)](https://npmjs.com/package/nuxt-flatpickr)
[![CircleCI](https://img.shields.io/circleci/project/github/schlunsen/nuxt-flatpickr.svg?style=flat-square)](https://circleci.com/gh/schlunsen/nuxt-flatpickr)
[![Codecov](https://img.shields.io/codecov/c/github/schlunsen/nuxt-flatpickr.svg?style=flat-square)](https://codecov.io/gh/schlunsen/nuxt-flatpickr)
[![Dependencies](https://david-dm.org/schlunsen/nuxt-flatpickr/status.svg?style=flat-square)](https://david-dm.org/schlunsen/nuxt-flatpickr)
[![js-standard-style](https://img.shields.io/badge/code_style-standard-brightgreen.svg?style=flat-square)](http://standardjs.com)

> Nuxt module for flatpickr

[📖 **Release Notes**](./CHANGELOG.md)

## Features

Nuxt module for vue-flatpickr-component

See [vue-flatpickr-component](https://github.com/ankurk91/vue-flatpickr-component) for more details.


## Setup
- Add `nuxt-flatpickr` dependency using yarn or npm to your project
- Add `nuxt-flatpickr` to `modules` section of `nuxt.config.js`

```js
{
  modules: [
    // Simple usage
    'nuxt-flatpickr',

    // With options
    ['nuxt-flatpickr', { /* module options */ }],
 ]
}
```

## Usage


``` html
<flat-pickr v-model="date" @on-change="doSomethingOnChange" @on-close="doSomethingOnClose"></flat-pickr>

```





## Development

- Clone this repository
- Install dependnecies using `yarn install` or `npm install`
- Start development server using `npm run dev`

## License

[MIT License](./LICENSE)

Copyright (c) Rasmus Schlunsen
